package com.gingersoft.gsa.cloud.common.core.print.bean;

public class WiseposBean {

    /**
     * status : SUCCESS
     * requestType : PRINT
     * state : IDLE
     * systemInfo : {"appVersion":"1.22.4.4.001","OSVersion":"9","ip":"192.168.1.162","mac":"2059a018d3d6","serialNumber":"WSS503013000075","firmware":"WSS50.501-02 (5.00.01.02.beta7)","hardware":"","terminalConfig":"GNZZ_MTIPD_v13_with_AE_v1","key":"034040XXXXXXXXXXXXXX","bootloader":"6.00.00.20 (6.00.00.34)"}
     * timestamp : 1600424044184
     */

    private String status;
    private String requestType;
    private String state;
    private SystemInfoBean systemInfo;
    private String timestamp;

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getRequestType() {
        return requestType;
    }

    public void setRequestType(String requestType) {
        this.requestType = requestType;
    }

    public String getState() {
        return state;
    }

    public void setState(String state) {
        this.state = state;
    }

    public SystemInfoBean getSystemInfo() {
        return systemInfo;
    }

    public void setSystemInfo(SystemInfoBean systemInfo) {
        this.systemInfo = systemInfo;
    }

    public String getTimestamp() {
        return timestamp;
    }

    public void setTimestamp(String timestamp) {
        this.timestamp = timestamp;
    }

    public static class SystemInfoBean {
        /**
         * appVersion : 1.22.4.4.001
         * OSVersion : 9
         * ip : 192.168.1.162
         * mac : 2059a018d3d6
         * serialNumber : WSS503013000075
         * firmware : WSS50.501-02 (5.00.01.02.beta7)
         * hardware :
         * terminalConfig : GNZZ_MTIPD_v13_with_AE_v1
         * key : 034040XXXXXXXXXXXXXX
         * bootloader : 6.00.00.20 (6.00.00.34)
         */

        private String appVersion;
        private String OSVersion;
        private String ip;
        private String mac;
        private String serialNumber;
        private String firmware;
        private String hardware;
        private String terminalConfig;
        private String key;
        private String bootloader;

        public String getAppVersion() {
            return appVersion;
        }

        public void setAppVersion(String appVersion) {
            this.appVersion = appVersion;
        }

        public String getOSVersion() {
            return OSVersion;
        }

        public void setOSVersion(String OSVersion) {
            this.OSVersion = OSVersion;
        }

        public String getIp() {
            return ip;
        }

        public void setIp(String ip) {
            this.ip = ip;
        }

        public String getMac() {
            return mac;
        }

        public void setMac(String mac) {
            this.mac = mac;
        }

        public String getSerialNumber() {
            return serialNumber;
        }

        public void setSerialNumber(String serialNumber) {
            this.serialNumber = serialNumber;
        }

        public String getFirmware() {
            return firmware;
        }

        public void setFirmware(String firmware) {
            this.firmware = firmware;
        }

        public String getHardware() {
            return hardware;
        }

        public void setHardware(String hardware) {
            this.hardware = hardware;
        }

        public String getTerminalConfig() {
            return terminalConfig;
        }

        public void setTerminalConfig(String terminalConfig) {
            this.terminalConfig = terminalConfig;
        }

        public String getKey() {
            return key;
        }

        public void setKey(String key) {
            this.key = key;
        }

        public String getBootloader() {
            return bootloader;
        }

        public void setBootloader(String bootloader) {
            this.bootloader = bootloader;
        }
    }
}

